----------------------------------------------
-- VenusBox.lua
-- by Lygin Gennady a.k.a. Croc 14.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  VenusFrameWidth, VenusFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
VenusBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

VenusButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ve"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(VenusBox,0,0,0,0) 

VenusCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(VenusBox, 20, 0, 0, 0)

VenusBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    VenusButton.Visible = GuidesVisibility -- display or undisplay Button
    VenusCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if VenusCheck.Text ==  "o" then
		VenusFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

VenusButton.Action = (function()
        return
            function()
              display_Venus= not display_Venus
                if display_Venus then                    				
                    VenusFrame.Visible = true                    
                    VenusCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    VenusFrame.Visible = false                  
                    VenusCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
---------------------------------
VenusFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-VenusFrameWidth)/2, height-VenusFrameHeight-2, (width-VenusFrameWidth)/2, 2)

 VenusFrame.Customdraw = function(this)   

            if Venus_firstTickDone then
            if not(VenusCloseButtonDone) then
                VenusCloseButtonDone = true
                makeCloseButton(VenusCloseButton, VenusFrame, VenusButton)
            end
            else
                Venus_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then  
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-36, height-VenusFrameHeight-128-27, 36, 128+27) 
               else
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-200, height-VenusFrameHeight-3, 200, 3) 
               end                    
            end 
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_(" VENUS EXPLORATION"))
end
--===============
-- Подключение команд 
--===============
Venus101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Date of start:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--==================
Venus102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-2), 128, 5+14*2)
-----------------------------------
Venus202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 1"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-2), 49, 5+14*2)

Venus302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-02-61"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-2), 2, 5+14*2)
--==================
Venus103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-3), 128, 5+14*3)
-----------------------------------
Venus203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-3), 49, 5+14*3)

Venus203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 2")  
            celestia:select(obj)
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Mariner%202/1962-09-18T06:06:07.50044?x=yBYJpwE&y=FfcUxwE&z=+n/w1v7//////////////w&ow=0.473172&ox=0.815382&oy=-0.225435&oz=0.245846&track=Sol:Mariner%202&select=Sol:Mariner%202&fov=56.1071&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-08-62"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-3), 2, 5+14*3)
--==================
Venus104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-4), 128, 5+14*4)
-----------------------------------
Venus204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-4), 49, 5+14*4)

Venus204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 2")
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sol:Venera%202/1966-01-14T21:55:42.96115?x=3nInGgE&y=q8xu&z=gcDX0g&ow=0.894022&ox=0.00298748&oy=-0.447989&oz=0.00459048&track=Sol:Venera%202&select=Sol:Venera%202&fov=120&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-4), 2, 5+14*4)
--==================
Venus105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-5), 128, 5+14*5)
-----------------------------------
Venus205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 3"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-5), 49, 5+14*5)

Venus205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 3") 
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%203/1965-12-01T21:15:07.06364?x=oeRc1w&y=2IhnCw&z=hzh9UgE&ow=0.960043&ox=0.0150041&oy=-0.27945&oz=0.000705721&track=Sol:Venera%203&select=Sol:Venera%203&fov=120&ts=25000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()          
-----------------------------------
Venus305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("16-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-5), 2, 5+14*5)
--==================
Venus106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-6), 128, 5+14*6)
-----------------------------------
Venus206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 4"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-6), 49, 5+14*6)

Venus206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 4")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sol:Venera%204/1967-07-07T12:01:59.25230?x=jfuRPw&y=Fm45AQ&z=Lj5jm/7//////////////w&ow=0.0880983&ox=0.00615179&oy=-0.996092&oz=-0.00115251&track=Sol:Venera%204&select=Sol:Venera%204&fov=120&ts=100000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-6), 2, 5+14*6)
--==================
Venus107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-7), 128, 5+14*7)
-----------------------------------
Venus207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-7), 49, 5+14*7)

Venus307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-7), 2, 5+14*7)
--==================
Venus108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-8), 128, 5+14*8)
-----------------------------------
Venus208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-8), 49, 5+14*8)

Venus208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 5")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%205/1969-01-18T10:40:23.50706?x=lQmWUQI&y=6nr+BQ&z=yYjjKQE&ow=0.851017&ox=0.00208872&oy=-0.525108&oz=-0.00520832&track=Sol:Venera%205&select=Sol:Venera%205&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) () 
-----------------------------------
Venus308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("05-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-8), 2, 5+14*8)
--==================
Venus109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-9), 128, 5+14*9)
-----------------------------------
Venus209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 6"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-9), 49, 5+14*9)

Venus209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 6")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%206/1969-01-19T15:31:40.18060?x=tLfA5wE&y=kppbFg&z=xr2htP7//////////////w&ow=0.46795&ox=0.0109139&oy=-0.883549&oz=-0.0156609&track=Sol:Venera%206&select=Sol:Venera%206&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("10-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-9), 2, 5+14*9)
--==================
Venus110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-10), 128, 5+14*10)
------------------------------------
Venus210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 7"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-10), 49, 5+14*10)

Venus210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 7")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sol:Venera%207/1970-09-01T05:44:27.18341?x=fMEbN/3//////////////w&y=+y62&z=dPIXcQ&ow=0.760472&ox=-0.0035&oy=0.649344&oz=0.00485817&track=Sol:Venera%207&select=Sol:Venera%207&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("17-08-70"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-10), 2, 5+14*10)
--==================
Venus111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-11),  128, 5+14*11)
-----------------------------------
Venus211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 8"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-11), 49, 5+14*11)

Venus211Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 8")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sol:Venera%208/1972-04-05T02:15:58.16267?x=8QjzbQE&y=M1WoBA&z=iiaejf7//////////////w&ow=0.379871&ox=-0.00301793&oy=-0.925015&oz=-0.00607435&track=Sol:Venera%208&select=Sol:Venera%208&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-03-72"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-11), 2, 5+14*11)
--==================
Venus112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Mercury:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-12), 2, 5+14*12)
-----------------------------------
Venus113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-13), 128, 5+14*13)
-----------------------------------
Venus213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-13), 49, 5+14*13)

Venus213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 10")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Mariner%2010/1973-11-12T08:00:47.25109?x=Y5/REgU&y=exbY6Pz//////////////w&z=muXB&ow=0.371021&ox=0.321088&oy=-0.629804&oz=0.602157&track=Sol:Mariner%2010&select=Sol:Mariner%2010&fov=77.909&ts=10000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("03-11-73"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-13), 2, 5+14*13)
--==================
Venus114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-14), 2, 5+14*14)
--==================
Venus115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-15), 128, 5+14*15)
-----------------------------------
Venus215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 9"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-15), 49, 5+14*15)

Venus215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 9")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%209/1975-06-29T11:54:02.24841?x=mIVTRwE&y=F7Xw4////////////////w&z=8ENZa/7//////////////w&ow=0.333363&ox=-0.00629158&oy=-0.94241&oz=0.0263366&track=Sol:Venera%209&select=Sol:Venera%209&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-15), 2, 5+14*15)
--==================
Venus116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-16), 128, 5+14*16)
-----------------------------------
Venus216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-16), 49, 5+14*16)

Venus216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 10")           
             celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Venera%2010/1975-07-15T21:18:09.96102?x=7CbVTP7//////////////w&y=hawz8f///////////////w&z=VHfaBg&ow=-0.500297&ox=-0.482564&oy=-0.509179&oz=0.507515&track=Sol:Venera%2010&select=Sol:Venera%2010&fov=77.909&ts=50000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-16), 2, 5+14*16)
--==================
Venus117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-17), 128, 5+14*17)
-----------------------------------
Venus217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-17), 49, 5+14*17)

Venus317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-05-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-17), 2, 5+14*17)
--==================
Venus118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-18), 128, 5+14*18)
----------------------------------
Venus218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-18), 49, 5+14*18)

Venus318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-08-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-18), 2, 5+14*18)
--==================
Venus119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-19), 128, 5+14*19)
----------------------------------
Venus219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 11"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-19), 49, 5+14*19)

Venus219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 11")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sol:Venera%2011/1979-09-02T22:12:20.37972?x=JyvE0P///////////////w&y=D87w/////////////////w&z=NltwpAE&ow=0.998434&ox=-0.000165835&oy=0.055908&oz=0.00170689&track=Sol:Venera%2011&select=Sol:Venera%2011&fov=91.5044&ts=400000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-19), 2, 5+14*19)
--==================
Venus120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-20), 128, 5+14*20)
-----------------------------------
Venus220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-20), 49, 5+14*20)

Venus320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-20), 2, 5+14*20)
--==================
Venus121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-21), 128, 5+14*21)
----------------------------------
Venus221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-21), 49, 5+14*21)

Venus221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 13")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%2013/1982-07-18T20:22:09.95912?x=3JtZpP7//////////////w&y=RVUz9v///////////////w&z=CvFlLAE&ow=0.909299&ox=-0.0105068&oy=0.416002&oz=-0.0026634&track=Sol:Venera%2013&select=Sol:Venera%2013&fov=91.5044&ts=200000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-10-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-21), 2, 5+14*21)
--==================
Venus122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-22), 128, 5+14*22)
-----------------------------------
Venus222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 14"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-22), 49, 5+14*22)

Venus222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 14")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%2014/1982-01-12T11:16:30.88488?x=5ofoUf7//////////////w&y=/Ti0Bw&z=clooF////////////////w&ow=0.51139&ox=-0.0208565&oy=0.858824&oz=0.0215887&track=Sol:Venera%2014&select=Sol:Venera%2014&fov=91.5044&ts=200000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-11-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-22), 2, 5+14*22)
--==================
Venus123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-23), 128, 5+14*23)
-----------------------------------
Venus223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 15"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-23), 49, 5+14*23)

Venus323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("01-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-23), 2, 5+14*23)
--==================
Venus124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-24), 128, 5+14*24)
----------------------------------
Venus224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 16"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-24), 49, 5+14*24)

Venus224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 16")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%2016/1984-09-07T11:38:21.84611?x=cO8Nkf7//////////////w&y=Q2msxP///////////////w&z=ucOePAE&ow=0.907818&ox=-0.0626732&oy=0.41455&oz=-0.00929837&track=Sol:Venera%2016&select=Sol:Venera%2016&fov=91.5044&ts=500000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("07-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-24), 2, 5+14*24)
--==================
Venus125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Halley's:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
Venus126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-26), 128, 5+14*26)
-----------------------------------
Venus226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1a"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-26), 49, 5+14*26)

Venus226Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Vega-1")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Vega-1/Sol:Earth/1985-05-01T23:03:41.26604?x=QGNLAHDz/////////////w&y=S2wFGQ&z=xf4no/7//////////////w&ow=-0.58534&ox=0.396591&oy=-0.5856&oz=-0.396441&track=Sol:Vega-1&select=Sol:Vega-1&fov=0.0666128&ts=1000&ltd=0&p=0&rf=2135987&lm=4230&tsrc=0&ver=3")
			   celestia:setambient (0.2)
			   celestia:setorbitflags{Planet = false} -- орбиты планет			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()
----------------------------------
Venus326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-26), 2, 5+14*26)
--==================
Venus127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-27), 128, 5+14*27)
----------------------------------
Venus227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1b"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-27), 49, 5+14*27)

Venus227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1")   -- Это не ошибка !           
            celestia:select(obj)            
            if not(empty(obj)) then
	   		   celestia:seturl("cel://PhaseLock/Sol:Vega-1/Sol:Earth/1985-05-29T01:20:21.67487?x=R2NLAHDz/////////////w&y=SWwFGQ&z=xP4no/7//////////////w&ow=-0.58534&ox=0.396591&oy=-0.5856&oz=-0.396441&track=Sol:Vega-1&select=Sol:Vega-1&fov=0.0666128&ts=10000&ltd=0&p=0&rf=2135987&lm=4230&tsrc=0&ver=3")
			   celestia:setambient (0.2)
			   celestia:setorbitflags{Planet = false} -- орбиты планет			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
   
            end
        end
    end) ()
-----------------------------------
Venus327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-06-85"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-27), 2, 5+14*27)
--==================
Venus128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("center")   
    :movetext(-2, 10)
    :text(_("Mapping Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-28), 2, 5+14*28)
--==================
Venus129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-29), 128, 5+14*29)
-----------------------------------
Venus229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Magellan"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-29), 49, 5+14*29)

Venus229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Magellan")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Venus:Magellan/1990-08-10T17:01:33.33505?x=1RC47/v//////////////w&y=KcZd+wM&z=XGTT3Q&ow=0.3596&ox=0.626089&oy=-0.180911&oz=-0.667811&track=Sol:Venus:Magellan&select=Sol:Venus:Magellan&fov=41.569&ts=20&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-05-89"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-29), 2, 5+14*29)
--==================
Venus130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus from orbit:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-30), 2, 5+14*30)
--==================
Venus131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-31), 128, 5+14*31)
-----------------------------------
Venus231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venus Express"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-31), 49, 5+14*31)

Venus231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venus Express")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Venus:Venus%20Express/2006-04-28T07:24:26.96173?x=DAyexwU&y=kMup5wU&z=ztrtEgY&ow=0.797972&ox=0.429874&oy=-0.138077&oz=0.399229&track=Sol:Venus:Venus%20Express&select=Sol:Venus:Venus%20Express&fov=17.2401&ts=200&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-31), 2, 5+14*31)
--==================
Venus132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Launch of Venus Express:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-32), 2, 5+14*32)
--==================
Venus133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-33), 128, 5+14*33)
----------------------------------
Venus233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Soyuz FT"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-33), 49, 5+14*33)

Venus333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-33), 2, 5+14*33)
--==================
Venus134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-34), 128, 5+14*34)
----------------------------------
Venus234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-34), 49, 5+14*34)
-----------------------------------
Venus334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-34), 2, 5+14*34)
--==================
Venus135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-35), 128, 5+14*35)
----------------------------------
Venus235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-35), 49, 5+14*35)
----------------------------------
Venus335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-35), 2, 5+14*35)
--==================
Venus136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-36), 128, 5+14*36)
-----------------------------------
Venus236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-36), 49, 5+14*36)
-----------------------------------
Venus336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-36), 2, 5+14*36)
--==================
Venus137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-37), 128, 5+14*37)
-----------------------------------
Venus237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-37), 49, 5+14*37)
-----------------------------------
Venus337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-37), 2, 5+14*37)
--==================
Venus138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-38), 128, 5+14*38)
-----------------------------------
Venus238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-38), 49, 5+14*38)
-----------------------------------
Venus338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-38), 2, 5+14*38)
--==================
Venus139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-39), 128, 5+14*39)
-----------------------------------
Venus239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-39), 49, 5+14*39)
-----------------------------------
Venus339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-39), 2, 5+14*39)
--==================
Venus140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-40), 128, 5+14*40)
----------------------------------
Venus240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-40), 49, 5+14*40)
-----------------------------------
Venus340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-40), 2, 5+14*40)
--==================
Venus141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-41), 128, 5+14*41)
-----------------------------------
Venus241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-41), 49, 5+14*41)
-----------------------------------
Venus341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-41), 2, 5+14*41)
--===================